org.codehaus.groovy.reflection

## Class GeneratedMetaMethod

- java.lang.Object
- - org.codehaus.groovy.reflection.ParameterTypes
  - - groovy.lang.MetaMethod
    - - org.codehaus.groovy.reflection.GeneratedMetaMethod

All Implemented Interfaces:
  java.lang.Cloneable

Direct Known Subclasses:
  GeneratedMetaMethod.Proxy

    public abstract class GeneratedMetaMethod
    extends MetaMethod

### Nested Class Summary

Nested Classes
`static class` `GeneratedMetaMethod.DgmMethodRecord`
`static class` `GeneratedMetaMethod.Proxy`

### Field Summary

### Fields inherited from class org.codehaus.groovy.reflection.ParameterTypes

`isVargsMethod, nativeParamTypes, parameterTypes`

### Constructor Summary

Constructors
Constructor and Description
`GeneratedMetaMethod(java.lang.String name, CachedClass declaringClass, java.lang.Class returnType, java.lang.Class[] parameters)`

### Method Summary

Methods
`CachedClass` `getDeclaringClass()`
`int` `getModifiers()`
`java.lang.String` `getName()`
`java.lang.Class` `getReturnType()`

### Methods inherited from class groovy.lang.MetaMethod

`checkParameters, clone, doMethodInvoke, equal, equal, getDescriptor, getMopName, getSignature, invoke, isAbstract, isCacheable, isMethod, isPrivate, isProtected, isPublic, isSame, isStatic, processDoMethodInvokeException, toString`

### Methods inherited from class org.codehaus.groovy.reflection.ParameterTypes

`coerceArgumentsToClasses, correctArguments, getNativeParameterTypes, getParameterTypes, getPT, isValidExactMethod, isValidExactMethod, isValidMethod, isValidMethod, isVargsMethod, isVargsMethod, setParametersTypes`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GeneratedMetaMethod

    public GeneratedMetaMethod(java.lang.String name,
                       CachedClass declaringClass,
                       java.lang.Class returnType,
                       java.lang.Class[] parameters)

### Method Detail

#### getModifiers

    public int getModifiers()

Specified by:
  `getModifiers` in class `MetaMethod`

#### getName

    public java.lang.String getName()

Specified by:
  `getName` in class `MetaMethod`

#### getReturnType

    public java.lang.Class getReturnType()

Specified by:
  `getReturnType` in class `MetaMethod`

#### getDeclaringClass

    public CachedClass getDeclaringClass()

Specified by:
  `getDeclaringClass` in class `MetaMethod`